# Class DataFrameDel

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameDel

All Implemented Interfaces:
  `Serializable`

public class DataFrameDel extends DataFrame
DataFrameDel is a specialized subclass of DataFrame designed to handle deletion variants. This class extends the DataFrame class and is specifically tailored to work with deletion variants by setting the appropriate flags in the superclass constructor. Constructor: - DataFrameDel(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory): Initializes a new instance of DataFrameDel with the provided VariantTypeCounter and VariantCategory. It sets the flags for handling deletions.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameDel(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

### Methods inherited from class DataFrame

`add, check, columnNames, createColumn, createColumns, eq, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameDel

public DataFrameDel(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)